/*
 * Flush, regardless.
 */
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <linux/fs.h>	/* BLKFLSBUF */

int main(int argc, char **argv)
{
	int fd;

	if (argc != 2) {
		fprintf(stderr, "Usage: blkflsbuf <device>\n");
		exit(1);
	}

	if ((fd = open(argv[1], O_RDWR)) == -1) {
		perror("open");
		exit(1);
	}

	if (ioctl(fd, BLKFLSBUF, 0) != 0) {
		perror("ioctl(BLKFLSBUF)");
		exit(1);
	}

	if (close(fd) != 0) {
		perror("close");
		exit(1);
	}

	exit(0);
	return 0;
}
